struct S_Program {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Program;
	union Node *Statement;
	union Node *DerivedTypeDef;
};

struct S_Statement {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *IntegerConstant;
	union Node *Stmt;
	union Node *Eos;
	union Node *Error;
	 int line; char *file; PtF fun; char* arg; union Node *label, *var;
};

struct S_DerivedTypeDef {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DerivedTypeStmt;
	union Node *Eos;
	union Node *OptPrivateSequenceStmtList;
	union Node *ComponentDefStmtList;
	union Node *EndTypeStmt;
	union Node *Eos1;
};

struct S_Stmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ImplicitStmt;
	union Node *ImplicitNoneStmt;
	union Node *FormatStmt;
	union Node *EntryStmt;
	union Node *TypeDeclarationStmt;
	union Node *ParameterStmt;
	union Node *DataStmt;
	union Node *CommonStmt;
	union Node *DimensionStmt;
	union Node *EquivalenceStmt;
	union Node *ExternalStmt;
	union Node *AssignementStmt;
	union Node *CallStmt;
	union Node *CloseStmt;
	union Node *ComputedGotoStmt;
	union Node *ContinueStmt;
	union Node *EndFileStmt;
	union Node *BackspaceStmt;
	union Node *InquireStmt;
	union Node *GotoStmt;
	union Node *IfStmt;
	union Node *IfThenStmt;
	union Node *ElseIfStmt;
	union Node *ElseStmt;
	union Node *EndIfStmt;
	union Node *DoStmt;
	union Node *EndDoStmt;
	union Node *OpenStmt;
	union Node *PrintStmt;
	union Node *ReadStmt;
	union Node *ReturnStmt;
	union Node *RewindStmt;
	union Node *StopStmt;
	union Node *WriteStmt;
	union Node *ArithmeticIfStmt;
	union Node *AssignStmt;
	union Node *AssignedGotoStmt;
	union Node *PauseStmt;
	union Node *EndStmt;
	union Node *ProgramStmt;
	union Node *SubroutineStmt;
	union Node *FunctionStmt;
	union Node *IntrinsicStmt;
	union Node *IntentStmt;
	union Node *OptionalStmt;
	union Node *AccessStmt;
	union Node *SaveStmt;
	union Node *AllocatableStmt;
	union Node *PointerStmt;
	union Node *TargetStmt;
	union Node *NamelistStmt;
	union Node *AllocateStmt;
	union Node *NullifyStmt;
	union Node *DeallocateStmt;
	union Node *PointerAssignementStmt;
	union Node *WhereStmt;
	union Node *WhereConstructStmt;
	union Node *ElsewhereStmt;
	union Node *EndWhereStmt;
	union Node *SelectCaseStmt;
	union Node *CaseStmt;
	union Node *EndSelectStmt;
	union Node *ExitStmt;
	union Node *CycleStmt;
	union Node *EndProgramStmt;
	union Node *ModuleStmt;
	union Node *EndModuleStmt;
	union Node *UseStmt;
	union Node *BlockDataStmt;
	union Node *EndBlockDataStmt;
	union Node *InterfaceStmt;
	union Node *EndInterfaceStmt;
	union Node *ModuleProcedureStmt;
	union Node *EndFunctionStmt;
	union Node *EndSubroutineStmt;
	union Node *ContainsStmt;
	union Node *ForallStmt;
	union Node *IncludeStmt;
	union Node *DirectiveStmt;
};

struct S_ImplicitStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Implicit;
	union Node *ImplicitSpecList;
};

struct S_ImplicitNoneStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Implicit;
	union Node *Name;
};

struct S_FormatStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Format;
};

struct S_EntryStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Entry;
	union Node *Name;
	union Node *Lp;
	union Node *DummyArgList;
	union Node *Rp;
};

struct S_TypeDeclarationStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *TypeSpec;
	union Node *Comma;
	union Node *AttrSpecList;
	union Node *Colon;
	union Node *Colon1;
	union Node *EntityDecl1List;
};

struct S_ParameterStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Parameter;
	union Node *Lp;
	union Node *NamedConstantDefList;
	union Node *Rp;
	union Node *Lpeqi;
};

struct S_DataStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Data;
	union Node *DataStmtSetList;
};

struct S_CommonStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *CommonStmt1;
	union Node *CommonStmt;
	union Node *Comma;
	union Node *CommonBlock;
	union Node *EntityDecl;
};

struct S_DimensionStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Dimension;
	union Node *EntityDeclList;
};

struct S_EquivalenceStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Equivalence;
	union Node *EquivalenceSetList;
};

struct S_ExternalStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *External;
	union Node *NameList;
};

struct S_AssignementStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Variable;
	union Node *Eq;
	union Node *Expr;
};

struct S_CallStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Call;
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
	union Node *Lpeqi;
};

struct S_CloseStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Close;
	union Node *Lp;
	union Node *IoSpecList;
	union Node *Rp;
	union Node *Lpeqi;
	 struct Unit *unit;
};

struct S_ComputedGotoStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *GoTo;
	union Node *Lp;
	union Node *LabelList;
	union Node *Rp;
	union Node *OptComma;
	union Node *Expr;
};

struct S_ContinueStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Continue;
};

struct S_EndFileStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndFile;
	union Node *Expr;
	union Node *Lpeqi;
	union Node *IoSpecList;
	union Node *Rp;
	 struct Unit *unit;
};

struct S_BackspaceStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Backspace;
	union Node *Expr;
	union Node *Lpeqi;
	union Node *IoSpecList;
	union Node *Rp;
	 struct Unit *unit;
};

struct S_InquireStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Inquire;
	union Node *Lp;
	union Node *IoSpecList;
	union Node *Rp;
	union Node *Lpeqi;
	 struct Unit *unit;
};

struct S_GotoStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *GoTo;
	union Node *Label;
};

struct S_IfStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *If;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Stmt;
	union Node *Lpeqi;
};

struct S_IfThenStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *If;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Name;
	union Node *Colon;
	union Node *Name1;
	union Node *Lpeqi;
};

struct S_ElseIfStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ElseIf;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Name;
	union Node *Name1;
	union Node *Lpeqi;
};

struct S_ElseStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Else;
	union Node *Name;
};

struct S_EndIfStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndIf;
	union Node *Name;
};

struct S_DoStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Colon;
	union Node *Do;
	union Node *OptLabel;
	union Node *LoopControl;
};

struct S_EndDoStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndDo;
	union Node *Name;
};

struct S_OpenStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Open;
	union Node *Lp;
	union Node *IoSpecList;
	union Node *Rp;
	union Node *Lpeqi;
	 struct Unit *unit;
};

struct S_PrintStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Print;
	union Node *FormatSpec;
	union Node *Comma;
	union Node *OutputItemList;
	 struct Unit *unit;
};

struct S_ReadStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Read;
	union Node *FormatSpec;
	union Node *Lp;
	union Node *IoSpecList;
	union Node *Rp;
	union Node *Lpeqi;
	union Node *Comma;
	union Node *InputItemList;
	 struct Unit *unit;
};

struct S_ReturnStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Return;
	union Node *Expr;
};

struct S_RewindStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Rewind;
	union Node *Expr;
	union Node *Lpeqi;
	union Node *IoSpecList;
	union Node *Rp;
	 struct Unit *unit;
};

struct S_StopStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Stop;
	union Node *StopCode;
};

struct S_WriteStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Write;
	union Node *Lp;
	union Node *IoSpecList;
	union Node *Rp;
	union Node *Lpeqi;
	union Node *OutputItemList;
	 struct Unit *unit;
};

struct S_ArithmeticIfStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *If;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Label;
	union Node *Comma;
	union Node *Label1;
	union Node *Comma1;
	union Node *Label2;
	union Node *Lpeqi;
};

struct S_AssignStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Assign;
	union Node *Label;
	union Node *To;
	union Node *Variable;
};

struct S_AssignedGotoStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *GoTo;
	union Node *Name;
	union Node *OptComma;
	union Node *Lp;
	union Node *LabelList;
	union Node *Rp;
};

struct S_PauseStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Pause;
	union Node *StopCode;
};

struct S_EndStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *End;
};

struct S_ProgramStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Kprogram;
	union Node *Name;
};

struct S_SubroutineStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *OptRecursive;
	union Node *Subroutine;
	union Node *Name;
	union Node *Lp;
	union Node *OptDummyArgList;
	union Node *Rp;
};

struct S_FunctionStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *opt31;
	union Node *Function;
	union Node *Name;
	union Node *Lp;
	union Node *OptNameList;
	union Node *Rp;
	union Node *opt33;
};

struct S_IntrinsicStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Intrinsic;
	union Node *NameList;
};

struct S_IntentStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Intent;
	union Node *Lp;
	union Node *Name;
	union Node *Rp;
	union Node *Colon;
	union Node *Colon1;
	union Node *NameList;
};

struct S_OptionalStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Optional;
	union Node *Colon;
	union Node *Colon1;
	union Node *NameList;
};

struct S_AccessStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *AccessSpec;
	union Node *OptCC;
	union Node *NameList;
};

struct S_SaveStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Save;
	union Node *OptCC;
	union Node *SavedEntityList;
};

struct S_AllocatableStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Allocatable;
	union Node *OptCC;
	union Node *EntityAllocatableList;
};

struct S_PointerStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Pointer;
	union Node *OptCC;
	union Node *EntityAllocatableList;
};

struct S_TargetStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Ktarget;
	union Node *OptCC;
	union Node *EntityTargetList;
};

struct S_NamelistStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Namelist;
	union Node *Slash;
	union Node *Name;
	union Node *Slash1;
	union Node *NameList;
	union Node *NamelistStmt;
};

struct S_AllocateStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Allocate;
	union Node *Lp;
	union Node *AllocationList;
	union Node *Comma;
	union Node *Name;
	union Node *Eq;
	union Node *Variable;
	union Node *Rp;
	union Node *Lpeqi;
};

struct S_NullifyStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Nullify;
	union Node *Lp;
	union Node *NameList;
	union Node *Rp;
};

struct S_DeallocateStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Deallocate;
	union Node *Lp;
	union Node *AllocateObjectList;
	union Node *Comma;
	union Node *Name;
	union Node *Eq;
	union Node *Variable;
	union Node *Rp;
	union Node *Lpeqi;
};

struct S_PointerAssignementStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *PointOp;
	union Node *Target;
};

struct S_WhereStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Where;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *AssignementStmt;
	union Node *Lpeqi;
};

struct S_WhereConstructStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Where;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Lpeqi;
};

struct S_ElsewhereStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ElseWhere;
};

struct S_EndWhereStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndWhere;
};

struct S_SelectCaseStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Select;
	union Node *Name;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Colon;
	union Node *Name1;
};

struct S_CaseStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Case;
	union Node *CaseSelector;
	union Node *Name;
};

struct S_EndSelectStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndSelect;
	union Node *Name;
};

struct S_ExitStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Exit;
	union Node *Name;
	 union Node *label;
};

struct S_CycleStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Cycle;
	union Node *Name;
	 union Node *label;
};

struct S_EndProgramStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndProgram;
	union Node *Name;
};

struct S_ModuleStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Module;
	union Node *Name;
};

struct S_EndModuleStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndModule;
	union Node *Name;
};

struct S_UseStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Use;
	union Node *Name;
	union Node *Comma;
	union Node *RenameList;
	union Node *Name1;
	union Node *Colon;
	union Node *OnlyList;
};

struct S_BlockDataStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *BlockData;
	union Node *Name;
};

struct S_EndBlockDataStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndBlockData;
	union Node *Name;
};

struct S_InterfaceStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Interface;
	union Node *GenericSpec;
};

struct S_EndInterfaceStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndInterface;
};

struct S_ModuleProcedureStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Module;
	union Node *Name;
	union Node *NameList;
};

struct S_EndFunctionStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndFunction;
	union Node *Name;
};

struct S_EndSubroutineStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndSubroutine;
	union Node *Name;
};

struct S_ContainsStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Contains;
};

struct S_ForallStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Forall;
	union Node *Lp;
	union Node *ForallTripletSpecList;
	union Node *OptScalarMaskExpr;
	union Node *Rp;
	union Node *Stmt;
	union Node *Lpeqi;
	 union Node *statement, *var, *upd;
};

struct S_IncludeStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Include;
	union Node *CharacterConstant;
};

struct S_DirectiveStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Dirdecompose;
	union Node *DecomposeList;
	union Node *Dirdistribute;
	union Node *DistributeList;
	union Node *Diralign;
	union Node *AlignList;
	union Node *Dirwith;
	union Node *AlignSpec;
};

struct S_DecomposeList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DecomposeList;
	union Node *Comma;
	union Node *DecomposeSpec;
};

struct S_DistributeList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DistributeList;
	union Node *Comma;
	union Node *DistributeSpec;
};

struct S_AlignList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *AlignList;
	union Node *Comma;
	union Node *AlignSpec;
};

struct S_AlignSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
};

struct S_DecomposeSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SizeList;
	union Node *Rp;
};

struct S_SizeList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *SizeList;
	union Node *Comma;
	union Node *IntegerConstant;
};

struct S_DistributeSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *DistList;
	union Node *Rp;
};

struct S_DistList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DistList;
	union Node *Comma;
	union Node *DistSpec;
};

struct S_SubscriptList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *SubscriptList;
	union Node *Comma;
	union Node *Subscript;
};

struct S_ComplexLiteralConstant {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *Expr;
	union Node *Comma;
	union Node *Expr1;
	union Node *Rp;
};

struct S_DefinedOperator {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DefinedUnaryOp;
	union Node *IntrinsicOp;
};

struct S_Expr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Expr;
	union Node *DefinedUnaryOp;
	union Node *Level5Expr;
};

struct S_DerivedTypeStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Type;
	union Node *Comma;
	union Node *AccessSpec;
	union Node *OptCC;
	union Node *Name;
};

struct S_OptPrivateSequenceStmtList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *PrivateSequenceStmtList;
};

struct S_ComponentDefStmtList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ComponentDefStmt;
	union Node *Eos;
	union Node *ComponentDefStmtList;
};

struct S_EndTypeStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EndType;
	union Node *Name;
};

struct S_PrivateSequenceStmtList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *PrivateSequenceStmt;
	union Node *Eos;
	union Node *PrivateSequenceStmtList;
};

struct S_PrivateSequenceStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Private;
	union Node *Sequence;
};

struct S_ComponentDefStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *TypeSpec;
	union Node *Comma;
	union Node *ComponentAttrSpecList;
	union Node *Colon;
	union Node *Colon1;
	union Node *ComponentDeclList;
};

struct S_AccessSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Public;
	union Node *Private;
};

struct S_OptCC {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Colon;
	union Node *Colon1;
};

struct S_TypeSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Integer;
	union Node *OptKindSelector;
	union Node *Real;
	union Node *DoublePrecision;
	union Node *Complex;
	union Node *DoubleComplex;
	union Node *Character;
	union Node *CharSelector;
	union Node *Logical;
	union Node *Type;
	union Node *Lp;
	union Node *Name;
	union Node *Rp;
};

struct S_ComponentAttrSpecList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ComponentAttrSpecList;
	union Node *Comma;
	union Node *ComponentAttrSpec;
};

struct S_ComponentDeclList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ComponentDeclList;
	union Node *Comma;
	union Node *ComponentDecl;
};

struct S_ComponentDecl {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
	union Node *Times;
	union Node *CharLength;
};

struct S_ComponentAttrSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Pointer;
	union Node *Dimension;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
};

struct S_CharLength {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *TypeParamValue;
	union Node *Rp;
	union Node *LiteralConstant;
};

struct S_ArrayConstructor {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Ldac;
	union Node *AcValueList;
	union Node *Rdac;
};

struct S_ImpliedValueList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ImpliedValueList;
	union Node *Comma;
	union Node *ImpliedValue;
};

struct S_ImpliedDo {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lpeqi;
	union Node *ImpliedValueList;
	union Node *Comma;
	union Node *ImpliedDoControl;
	union Node *Rp;
};

struct S_Stride {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Expr;
	union Node *Colon;
	union Node *Expr1;
	union Node *Colon1;
	union Node *Expr2;
};

struct S_ImpliedDoControl {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Eq;
	union Node *Expr;
	union Node *Comma;
	union Node *Expr1;
	union Node *Comma1;
	union Node *Expr2;
};

struct S_AttrSpecList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *AttrSpecList;
	union Node *Comma;
	union Node *AttrSpec;
};

struct S_EntityDecl1List {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EntityDecl1List;
	union Node *Comma;
	union Node *EntityDecl1;
};

struct S_EntityDeclList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EntityDeclList;
	union Node *Comma;
	union Node *EntityDecl;
};

struct S_EntityDecl {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *opt7;
};

struct S_EntityDecl1 {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EntityDecl;
	union Node *OptCharLength;
	union Node *OptInitializationExpr;
};

struct S_AttrSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
};

struct S_CharSelector {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *Name;
	union Node *Eq;
	union Node *Expr;
	union Node *Comma;
	union Node *Name1;
	union Node *Eq1;
	union Node *Expr1;
	union Node *Rp;
	union Node *Times;
	union Node *CharLength;
	union Node *CharSelectorComma;
	union Node *Lpeqi;
};

struct S_OptCharLength {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Times;
	union Node *CharLength;
};

struct S_OptInitializationExpr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Eq;
	union Node *Expr;
};

struct S_opt7 {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
};

struct S_KindSelector {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *Name;
	union Node *Eq;
	union Node *Expr;
	union Node *Rp;
	union Node *Times;
	union Node *IntegerConstant;
	union Node *Lpeqi;
};

struct S_NameList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *NameList;
	union Node *Comma;
	union Node *Name;
};

struct S_SavedEntityList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *SavedEntityList;
	union Node *Comma;
	union Node *SavedEntity;
};

struct S_SavedEntity {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Slash;
	union Node *Name;
	union Node *Slash1;
};

struct S_EntityAllocatableList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EntityAllocatableList;
	union Node *Comma;
	union Node *EntityAllocatable;
};

struct S_EntityAllocatable {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
};

struct S_EntityTargetList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EntityTargetList;
	union Node *Comma;
	union Node *EntityTarget;
};

struct S_EntityTarget {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
};

struct S_DataStmtSetList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DataStmtSetList;
	union Node *Comma;
	union Node *DataStmtSet;
};

struct S_DataStmtSet {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DataStmtObjectList;
	union Node *Slash;
	union Node *DataStmtValueList;
	union Node *Slash1;
};

struct S_DataStmtObjectList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DataStmtObjectList;
	union Node *Comma;
	union Node *DataStmtObject;
};

struct S_DataStmtValueList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DataStmtValueList;
	union Node *Comma;
	union Node *DataStmtValue;
};

struct S_DataStmtValue {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DataStmtRepeat;
	union Node *Times;
	union Node *DataStmtConstant;
};

struct S_Variable {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *ArraySection;
	union Node *StructureComponent;
};

struct S_DataStmtConstant {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *AddOp;
	union Node *DataStmtRepeat;
	union Node *ArraySection;
};

struct S_ArraySection {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
	union Node *Org_SubscriptList;
	union Node *Lpeqi;
	union Node *ArraySection;
	union Node *StructureComponent;
	union Node *CharacterConstant;
};

struct S_NamedConstantDefList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *NamedConstantDefList;
	union Node *Comma;
	union Node *NamedConstantDef;
};

struct S_NamedConstantDef {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Eq;
	union Node *Expr;
};

struct S_ImplicitSpecList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ImplicitSpecList;
	union Node *Comma;
	union Node *ImplicitSpec;
};

struct S_ImplicitSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *TypeSpec;
	union Node *Lpimp;
	union Node *LetterSpecList;
	union Node *Rp;
};

struct S_LetterSpecList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *LetterSpecList;
	union Node *Comma;
	union Node *LetterSpec;
};

struct S_LetterSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Letter;
	union Node *Minus;
	union Node *Letter1;
};

struct S_Letter {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
};

struct S_EquivalenceSetList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EquivalenceSetList;
	union Node *Comma;
	union Node *EquivalenceSet;
};

struct S_EquivalenceSet {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *EquivalenceObjectList;
	union Node *Rp;
};

struct S_EquivalenceObjectList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EquivalenceObjectList;
	union Node *Comma;
	union Node *EquivalenceObject;
};

struct S_CommonStmt1 {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Common;
	union Node *CommonBlock;
	union Node *EntityDecl;
};

struct S_CommonBlock {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ConcatOp;
	union Node *Slash;
	union Node *Name;
	union Node *Slash1;
};

struct S_StructureComponent {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ParentStructure;
	union Node *Percent;
	union Node *Name;
};

struct S_ParentStructure {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *ArraySection;
	union Node *StructureComponent;
};

struct S_Org_SubscriptList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Org_SubscriptList;
	union Node *Comma;
	union Node *Subscript;
};

struct S_Subscript {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Expr;
	union Node *Colon;
	union Node *Expr1;
	union Node *Colon1;
	union Node *Expr2;
	union Node *Times;
	union Node *Name;
	union Node *Eq;
	union Node *Label;
};

struct S_Label {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *IntegerConstant;
};

struct S_AllocationList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *AllocationList;
	union Node *Comma;
	union Node *Allocation;
};

struct S_Allocation {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ArraySection;
	union Node *Name;
	union Node *StructureComponent;
};

struct S_AllocateObject {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *StructureComponent;
};

struct S_AllocateObjectList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *AllocateObjectList;
	union Node *Comma;
	union Node *AllocateObject;
};

struct S_Primary {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *LiteralConstant;
	union Node *Variable;
	union Node *ArrayConstructor;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Lpeqi;
};

struct S_Level1Expr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DefinedUnaryOp;
	union Node *Primary;
	union Node *AddOp;
};

struct S_MultOperand {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Level1Expr;
	union Node *PowerOp;
	union Node *MultOperand;
};

struct S_AddOperand {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *AddOperand;
	union Node *MultOp;
	union Node *MultOperand;
};

struct S_Level2Expr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Level2Expr;
	union Node *AddOp;
	union Node *AddOperand;
};

struct S_Level3Expr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Level3Expr;
	union Node *ConcatOp;
	union Node *Level2Expr;
};

struct S_Level4Expr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Level3Expr;
	union Node *RelOp;
	union Node *Level3Expr1;
};

struct S_AndOperand {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *NotOp;
	union Node *Level4Expr;
};

struct S_OrOperand {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *OrOperand;
	union Node *AndOp;
	union Node *AndOperand;
};

struct S_EquivOperand {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *EquivOperand;
	union Node *OrOp;
	union Node *OrOperand;
	union Node *XorOp;
};

struct S_Level5Expr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Level5Expr;
	union Node *EquivOp;
	union Node *EquivOperand;
};

struct S_Target {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ArraySection;
	union Node *Name;
	union Node *StructureComponent;
};

struct S_CaseSelector {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
	union Node *Name;
};

struct S_LoopControl {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *OptComma;
	union Node *ImpliedDoControl;
	union Node *Name;
	union Node *Lp;
	union Node *Expr;
	union Node *Rp;
	union Node *Lpeqi;
};

struct S_LabelList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *LabelList;
	union Node *Comma;
	union Node *Label;
};

struct S_ForallTripletSpecList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ForallTripletSpecList;
	union Node *Comma;
	union Node *ForallTripletSpec;
};

struct S_OptScalarMaskExpr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Comma;
	union Node *Expr;
};

struct S_ForallTripletSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Eq;
	union Node *Expr;
	union Node *Colon;
	union Node *Expr1;
	union Node *Colon1;
	union Node *Expr2;
};

struct S_IoSpecList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *IoSpecList;
	union Node *Comma;
	union Node *IoSpec;
};

struct S_IoSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Eq;
	union Node *Expr;
	union Node *Times;
};

struct S_FormatExpr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *CharacterConstant;
	union Node *Variable;
	union Node *FormatExpr;
	union Node *ConcatOp;
};

struct S_RenameList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *RenameList;
	union Node *Comma;
	union Node *Rename;
};

struct S_OnlyList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *OnlyList;
	union Node *Comma;
	union Node *Only;
};

struct S_Rename {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *PointOp;
	union Node *Name1;
};

struct S_GenericSpec {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *DefinedOperator;
	union Node *Rp;
	union Node *Eq;
	union Node *Lpeqi;
};

struct S_opt33 {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *Name1;
	union Node *Rp;
};

struct S_Prefix {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *TypeSpec;
	union Node *Recursive;
};

struct S_OptRecursive {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Recursive;
};

struct S_DummyArgList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DummyArgList;
	union Node *Comma;
	union Node *DummyArg;
};

struct S_DumArrCons {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Expr;
	 struct ArrCons *ac;
};

struct S_DumExpr {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Lp;
	union Node *Expr;
	union Node *Op;
	union Node *Expr1;
	union Node *Rp;
};

struct S_DumStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Code;
	 union Node* Stmt;
};

struct S_DumList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	 int num; union Node **list;
};

struct S_StmtFunctionStmt {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Variable;
	union Node *Eq;
	union Node *Expr;
};

struct S_FunctionReference {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Name;
	union Node *Lp;
	union Node *SubscriptList;
	union Node *Rp;
	 struct T_Entry *entry; union Node *temp;
};

struct S_Block {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *Block;
	union Node *Comma;
	union Node *Statement;
};

struct S_WhereConstruct {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *WhereConstructStmt;
	union Node *WhereBlock;
	union Node *ElsewhereStmt;
	union Node *ElsewhereBlock;
	union Node *EndWhereStmt;
	 union Node *label, *label_endwhere; int line; char *file;
};

struct S_CaseConstruct {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *SelectCaseStmt;
	union Node *CaseStmtBlockList;
	union Node *EndSelectStmt;
	 union Node *label, *label_endselect; int line; char *file;
};

struct S_CaseStmtBlockList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *CaseStmtBlockList;
	union Node *Comma;
	union Node *CaseStmtBlock;
};

struct S_IfConstruct {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *IfThenStmt;
	union Node *IfBlock;
	union Node *ElseIfStmtBlockList;
	union Node *ElseStmt;
	union Node *ElseBlock;
	union Node *EndIfStmt;
	 union Node *label, *label_endif; int line; char *file;
};

struct S_ElseIfStmtBlockList {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ElseIfStmtBlockList;
	union Node *Comma;
	union Node *ElseIfStmtBlock;
};

struct S_DoConstruct {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *DoStmt;
	union Node *DoBlock;
	union Node *EndDoStmt;
	 int do_type; union Node *label, *label_enddo, *label_do, *label_cycle, *label_exit, *exit_list, *cycle_list, *do_times_var; int line; char *file;
};

struct S_CaseStmtBlock {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *CaseStmt;
	union Node *CaseBlock;
};

struct S_ElseIfStmtBlock {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *ElseIfStmt;
	union Node *ElseIfBlock;
};

struct S_ProgramUnit {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *SpecificationPartBlock;
	union Node *ExecutionPartBlock;
};

extern union Node Dollar;
extern union Node Percent;
extern union Node Lp;
extern union Node Rp;
extern union Node Times;
extern union Node Plus;
extern union Node Comma;
extern union Node Minus;
extern union Node Dot;
extern union Node Slash;
extern union Node Colon;
extern union Node Eq;
extern union Node Question;
extern union Node Error;
extern union Node Allocatable;
extern union Node Allocate;
extern union Node AndOp;
extern union Node Assign;
extern union Node Backspace;
extern union Node BinaryConstant;
extern union Node BlockData;
extern union Node Call;
extern union Node Case;
extern union Node CharSelectorComma;
extern union Node Character;
extern union Node Close;
extern union Node Common;
extern union Node Complex;
extern union Node ConcatOp;
extern union Node Contains;
extern union Node Continue;
extern union Node Cycle;
extern union Node Data;
extern union Node DoubleComplex;
extern union Node Deallocate;
extern union Node DefinedUnaryOp;
extern union Node Dimension;
extern union Node Do;
extern union Node DoublePrecision;
extern union Node Else;
extern union Node ElseIf;
extern union Node ElseWhere;
extern union Node End;
extern union Node EndBlockData;
extern union Node EndDo;
extern union Node EndFile;
extern union Node EndFunction;
extern union Node EndIf;
extern union Node EndInterface;
extern union Node EndModule;
extern union Node EndProgram;
extern union Node EndSelect;
extern union Node EndSubroutine;
extern union Node EndType;
extern union Node EndWhere;
extern union Node Entry;
extern union Node Eos;
extern union Node Equivalence;
extern union Node EquivOpF;
extern union Node EquivOpT;
extern union Node Exit;
extern union Node External;
extern union Node Function;
extern union Node GoTo;
extern union Node HexConstant;
extern union Node If;
extern union Node Implicit;
extern union Node Include;
extern union Node Inquire;
extern union Node Integer;
extern union Node Intent;
extern union Node Interface;
extern union Node Intrinsic;
extern union Node Ldac;
extern union Node Logical;
extern union Node Lpeqi;
extern union Node Lpimp;
extern union Node Module;
extern union Node Namelist;
extern union Node NotOp;
extern union Node Nullify;
extern union Node OctalConstant;
extern union Node Open;
extern union Node Optional;
extern union Node OrOp;
extern union Node Parameter;
extern union Node Pause;
extern union Node Pointer;
extern union Node PointOp;
extern union Node PointTo;
extern union Node PowerOp;
extern union Node Print;
extern union Node Private;
extern union Node Kprogram;
extern union Node Public;
extern union Node Rdac;
extern union Node Read;
extern union Node Real;
extern union Node Recursive;
extern union Node RelOpEq;
extern union Node RelOpGe;
extern union Node RelOpGt;
extern union Node RelOpLe;
extern union Node RelOpLt;
extern union Node RelOpNe;
extern union Node Return;
extern union Node Rewind;
extern union Node Save;
extern union Node Select;
extern union Node Sequence;
extern union Node Stop;
extern union Node Subroutine;
extern union Node Ktarget;
extern union Node To;
extern union Node Type;
extern union Node Use;
extern union Node Where;
extern union Node Write;
extern union Node XorOp;
extern union Node Array;
extern union Node Forall;
extern union Node Dirblock;
extern union Node Dircyclic;
extern union Node Dirdecompose;
extern union Node Dirdistribute;
extern union Node Diralign;
extern union Node Dirwith;
extern union Node Dumtok;
extern union Node Op;
extern union Node IgnoreStmt;
extern union Node WhereBlock;
extern union Node ElsewhereBlock;
extern union Node IfBlock;
extern union Node ElseBlock;
extern union Node DoBlock;
extern union Node CaseBlock;
extern union Node ElseIfBlock;
extern union Node SpecificationPartBlock;
extern union Node ExecutionPartBlock;

#define NODE_MAX 79

struct S_com {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
	union Node *node[NODE_MAX];
};

struct S_def {
	int type;
	char *str;
	struct Typ *typ;
	struct Trans *trans;
#ifdef CHECK
	unsigned attr_check: 1;
	unsigned attr_trans: 1;
	unsigned attr_write: 1;
	unsigned attr_rest: 29;
#endif
};

typedef union Node {
	struct S_def def;
	struct S_com com;
	struct S_lst lst;
	struct S_Program Program;
	struct S_Statement Statement;
	struct S_DerivedTypeDef DerivedTypeDef;
	struct S_Stmt Stmt;
	struct S_ImplicitStmt ImplicitStmt;
	struct S_ImplicitNoneStmt ImplicitNoneStmt;
	struct S_FormatStmt FormatStmt;
	struct S_EntryStmt EntryStmt;
	struct S_TypeDeclarationStmt TypeDeclarationStmt;
	struct S_ParameterStmt ParameterStmt;
	struct S_DataStmt DataStmt;
	struct S_CommonStmt CommonStmt;
	struct S_DimensionStmt DimensionStmt;
	struct S_EquivalenceStmt EquivalenceStmt;
	struct S_ExternalStmt ExternalStmt;
	struct S_AssignementStmt AssignementStmt;
	struct S_CallStmt CallStmt;
	struct S_CloseStmt CloseStmt;
	struct S_ComputedGotoStmt ComputedGotoStmt;
	struct S_ContinueStmt ContinueStmt;
	struct S_EndFileStmt EndFileStmt;
	struct S_BackspaceStmt BackspaceStmt;
	struct S_InquireStmt InquireStmt;
	struct S_GotoStmt GotoStmt;
	struct S_IfStmt IfStmt;
	struct S_IfThenStmt IfThenStmt;
	struct S_ElseIfStmt ElseIfStmt;
	struct S_ElseStmt ElseStmt;
	struct S_EndIfStmt EndIfStmt;
	struct S_DoStmt DoStmt;
	struct S_EndDoStmt EndDoStmt;
	struct S_OpenStmt OpenStmt;
	struct S_PrintStmt PrintStmt;
	struct S_ReadStmt ReadStmt;
	struct S_ReturnStmt ReturnStmt;
	struct S_RewindStmt RewindStmt;
	struct S_StopStmt StopStmt;
	struct S_WriteStmt WriteStmt;
	struct S_ArithmeticIfStmt ArithmeticIfStmt;
	struct S_AssignStmt AssignStmt;
	struct S_AssignedGotoStmt AssignedGotoStmt;
	struct S_PauseStmt PauseStmt;
	struct S_EndStmt EndStmt;
	struct S_ProgramStmt ProgramStmt;
	struct S_SubroutineStmt SubroutineStmt;
	struct S_FunctionStmt FunctionStmt;
	struct S_IntrinsicStmt IntrinsicStmt;
	struct S_IntentStmt IntentStmt;
	struct S_OptionalStmt OptionalStmt;
	struct S_AccessStmt AccessStmt;
	struct S_SaveStmt SaveStmt;
	struct S_AllocatableStmt AllocatableStmt;
	struct S_PointerStmt PointerStmt;
	struct S_TargetStmt TargetStmt;
	struct S_NamelistStmt NamelistStmt;
	struct S_AllocateStmt AllocateStmt;
	struct S_NullifyStmt NullifyStmt;
	struct S_DeallocateStmt DeallocateStmt;
	struct S_PointerAssignementStmt PointerAssignementStmt;
	struct S_WhereStmt WhereStmt;
	struct S_WhereConstructStmt WhereConstructStmt;
	struct S_ElsewhereStmt ElsewhereStmt;
	struct S_EndWhereStmt EndWhereStmt;
	struct S_SelectCaseStmt SelectCaseStmt;
	struct S_CaseStmt CaseStmt;
	struct S_EndSelectStmt EndSelectStmt;
	struct S_ExitStmt ExitStmt;
	struct S_CycleStmt CycleStmt;
	struct S_EndProgramStmt EndProgramStmt;
	struct S_ModuleStmt ModuleStmt;
	struct S_EndModuleStmt EndModuleStmt;
	struct S_UseStmt UseStmt;
	struct S_BlockDataStmt BlockDataStmt;
	struct S_EndBlockDataStmt EndBlockDataStmt;
	struct S_InterfaceStmt InterfaceStmt;
	struct S_EndInterfaceStmt EndInterfaceStmt;
	struct S_ModuleProcedureStmt ModuleProcedureStmt;
	struct S_EndFunctionStmt EndFunctionStmt;
	struct S_EndSubroutineStmt EndSubroutineStmt;
	struct S_ContainsStmt ContainsStmt;
	struct S_ForallStmt ForallStmt;
	struct S_IncludeStmt IncludeStmt;
	struct S_DirectiveStmt DirectiveStmt;
	struct S_DecomposeList DecomposeList;
	struct S_DistributeList DistributeList;
	struct S_AlignList AlignList;
	struct S_AlignSpec AlignSpec;
	struct S_DecomposeSpec DecomposeSpec;
	struct S_SizeList SizeList;
	struct S_DistributeSpec DistributeSpec;
	struct S_DistList DistList;
	struct S_SubscriptList SubscriptList;
	struct S_ComplexLiteralConstant ComplexLiteralConstant;
	struct S_DefinedOperator DefinedOperator;
	struct S_Expr Expr;
	struct S_DerivedTypeStmt DerivedTypeStmt;
	struct S_OptPrivateSequenceStmtList OptPrivateSequenceStmtList;
	struct S_ComponentDefStmtList ComponentDefStmtList;
	struct S_EndTypeStmt EndTypeStmt;
	struct S_PrivateSequenceStmtList PrivateSequenceStmtList;
	struct S_PrivateSequenceStmt PrivateSequenceStmt;
	struct S_ComponentDefStmt ComponentDefStmt;
	struct S_AccessSpec AccessSpec;
	struct S_OptCC OptCC;
	struct S_TypeSpec TypeSpec;
	struct S_ComponentAttrSpecList ComponentAttrSpecList;
	struct S_ComponentDeclList ComponentDeclList;
	struct S_ComponentDecl ComponentDecl;
	struct S_ComponentAttrSpec ComponentAttrSpec;
	struct S_CharLength CharLength;
	struct S_ArrayConstructor ArrayConstructor;
	struct S_ImpliedValueList ImpliedValueList;
	struct S_ImpliedDo ImpliedDo;
	struct S_Stride Stride;
	struct S_ImpliedDoControl ImpliedDoControl;
	struct S_AttrSpecList AttrSpecList;
	struct S_EntityDecl1List EntityDecl1List;
	struct S_EntityDeclList EntityDeclList;
	struct S_EntityDecl EntityDecl;
	struct S_EntityDecl1 EntityDecl1;
	struct S_AttrSpec AttrSpec;
	struct S_CharSelector CharSelector;
	struct S_OptCharLength OptCharLength;
	struct S_OptInitializationExpr OptInitializationExpr;
	struct S_opt7 opt7;
	struct S_KindSelector KindSelector;
	struct S_NameList NameList;
	struct S_SavedEntityList SavedEntityList;
	struct S_SavedEntity SavedEntity;
	struct S_EntityAllocatableList EntityAllocatableList;
	struct S_EntityAllocatable EntityAllocatable;
	struct S_EntityTargetList EntityTargetList;
	struct S_EntityTarget EntityTarget;
	struct S_DataStmtSetList DataStmtSetList;
	struct S_DataStmtSet DataStmtSet;
	struct S_DataStmtObjectList DataStmtObjectList;
	struct S_DataStmtValueList DataStmtValueList;
	struct S_DataStmtValue DataStmtValue;
	struct S_Variable Variable;
	struct S_DataStmtConstant DataStmtConstant;
	struct S_ArraySection ArraySection;
	struct S_NamedConstantDefList NamedConstantDefList;
	struct S_NamedConstantDef NamedConstantDef;
	struct S_ImplicitSpecList ImplicitSpecList;
	struct S_ImplicitSpec ImplicitSpec;
	struct S_LetterSpecList LetterSpecList;
	struct S_LetterSpec LetterSpec;
	struct S_Letter Letter;
	struct S_EquivalenceSetList EquivalenceSetList;
	struct S_EquivalenceSet EquivalenceSet;
	struct S_EquivalenceObjectList EquivalenceObjectList;
	struct S_CommonStmt1 CommonStmt1;
	struct S_CommonBlock CommonBlock;
	struct S_StructureComponent StructureComponent;
	struct S_ParentStructure ParentStructure;
	struct S_Org_SubscriptList Org_SubscriptList;
	struct S_Subscript Subscript;
	struct S_Label Label;
	struct S_AllocationList AllocationList;
	struct S_Allocation Allocation;
	struct S_AllocateObject AllocateObject;
	struct S_AllocateObjectList AllocateObjectList;
	struct S_Primary Primary;
	struct S_Level1Expr Level1Expr;
	struct S_MultOperand MultOperand;
	struct S_AddOperand AddOperand;
	struct S_Level2Expr Level2Expr;
	struct S_Level3Expr Level3Expr;
	struct S_Level4Expr Level4Expr;
	struct S_AndOperand AndOperand;
	struct S_OrOperand OrOperand;
	struct S_EquivOperand EquivOperand;
	struct S_Level5Expr Level5Expr;
	struct S_Target Target;
	struct S_CaseSelector CaseSelector;
	struct S_LoopControl LoopControl;
	struct S_LabelList LabelList;
	struct S_ForallTripletSpecList ForallTripletSpecList;
	struct S_OptScalarMaskExpr OptScalarMaskExpr;
	struct S_ForallTripletSpec ForallTripletSpec;
	struct S_IoSpecList IoSpecList;
	struct S_IoSpec IoSpec;
	struct S_FormatExpr FormatExpr;
	struct S_RenameList RenameList;
	struct S_OnlyList OnlyList;
	struct S_Rename Rename;
	struct S_GenericSpec GenericSpec;
	struct S_opt33 opt33;
	struct S_Prefix Prefix;
	struct S_OptRecursive OptRecursive;
	struct S_DummyArgList DummyArgList;
	struct S_DumArrCons DumArrCons;
	struct S_DumExpr DumExpr;
	struct S_DumStmt DumStmt;
	struct S_DumList DumList;
	struct S_StmtFunctionStmt StmtFunctionStmt;
	struct S_FunctionReference FunctionReference;
	struct S_Block Block;
	struct S_WhereConstruct WhereConstruct;
	struct S_CaseConstruct CaseConstruct;
	struct S_CaseStmtBlockList CaseStmtBlockList;
	struct S_IfConstruct IfConstruct;
	struct S_ElseIfStmtBlockList ElseIfStmtBlockList;
	struct S_DoConstruct DoConstruct;
	struct S_CaseStmtBlock CaseStmtBlock;
	struct S_ElseIfStmtBlock ElseIfStmtBlock;
	struct S_ProgramUnit ProgramUnit;
} Node;
